(define (script-fu-basic-color-correction    	image
						layer
	)

	(gimp-selection-none image)
	(gimp-image-undo-group-start image)	

 
 (let* (
	(old-fg-color (car (gimp-palette-get-foreground)))
       	(beige-burn (car (gimp-layer-new-from-drawable layer image)))
	)
	
	(gimp-layer-set-name beige-burn "Beige Burn")
	(gimp-context-set-foreground '(255 229 220))
	(gimp-drawable-fill beige-burn FOREGROUND-FILL) 
       	(gimp-image-add-layer image beige-burn 0)
       	(gimp-layer-set-mode beige-burn 17)
       	(gimp-layer-set-opacity beige-burn 75)

(let*	(
	(white-soft (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name white-soft "Soft Light")
	(gimp-context-set-foreground '(255 255 255))
	(gimp-drawable-fill white-soft FOREGROUND-FILL) 
       	(gimp-image-add-layer image white-soft 0)
       	(gimp-layer-set-mode white-soft 19)
       	(gimp-layer-set-opacity white-soft 30))

	(gimp-palette-set-foreground old-fg-color)
	(gimp-image-undo-group-end image)
	(gimp-displays-flush)
	))

(script-fu-register 
	"script-fu-basic-color-correction"
	"Basic Color Correction"
	"Applies a light color correction to images.  Works best on darker, outdoor photos."
	"Claire Jones"
	" 2007 Claire Jones"
	"November 6, 2007"
	"RGB*"
	SF-IMAGE	"Image"	        0
	SF-DRAWABLE	"Drawable"	0
)

        (script-fu-menu-register "script-fu-basic-color-correction" "<Image>/Script-Fu/Actions/Color Correction")		
