(define (script-fu-more-color-correction    	image
						layer
	)

	(gimp-selection-none image)
	(gimp-image-undo-group-start image)	

 
(let* 	(
	(old-fg-color (car (gimp-palette-get-foreground)))
       	(color-fix (car (gimp-layer-new-from-drawable layer image)))
	)
	
	(gimp-layer-set-name color-fix "Color Fix")
       	(gimp-image-add-layer image color-fix 0)
       	(gimp-layer-set-mode color-fix 19)
       	(gimp-layer-set-opacity color-fix 40)

(let*	(
	(beige-burn (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name beige-burn "Beige Burn")
	(gimp-context-set-foreground '(255 229 220))
	(gimp-drawable-fill beige-burn FOREGROUND-FILL) 
       	(gimp-image-add-layer image beige-burn 0)
       	(gimp-layer-set-mode beige-burn 17)
       	(gimp-layer-set-opacity beige-burn 50))
	

(let*	(
	(white-soft (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name white-soft "Soft Light")
	(gimp-context-set-foreground '(255 255 255))
	(gimp-drawable-fill white-soft FOREGROUND-FILL) 
       	(gimp-image-add-layer image white-soft 0)
       	(gimp-layer-set-mode white-soft 19)
       	(gimp-layer-set-opacity white-soft 10))

	(gimp-palette-set-foreground old-fg-color)
	(gimp-image-undo-group-end image)
	(gimp-displays-flush)
	))

(script-fu-register 
	"script-fu-more-color-correction"
	"More Color Correction"
	"For darker photos that may need more definition during the color correction process."
	"Claire Jones"
	" 2007 Claire Jones"
	"November 6, 2007"
	"RGB*"
	SF-IMAGE	"Image"	        0
	SF-DRAWABLE	"Drawable"	0
)

        (script-fu-menu-register "script-fu-more-color-correction" "<Image>/Script-Fu/Actions/Color Correction")		
