(define (script-fu-pale-colors    	image
					layer
	)

	(gimp-selection-none image)
	(gimp-image-undo-group-start image)	

(let* 	(
	(old-fg-color (car (gimp-palette-get-foreground)))
       	(desat (car (gimp-layer-new-from-drawable layer image)))
	)
	
	(gimp-layer-set-name desat "Desaturated Layer")
       	(gimp-image-add-layer image desat 0)
	(gimp-desaturate-full desat DESATURATE-LIGHTNESS)
       	(gimp-layer-set-opacity desat 40)

(let* 	(
       	(color-fix (car (gimp-layer-new-from-drawable layer image)))
	)
	
	(gimp-layer-set-name color-fix "Color Fix")
       	(gimp-image-add-layer image color-fix 0)
       	(gimp-layer-set-mode color-fix 19)
       	(gimp-layer-set-opacity color-fix 70)

(let*	(
	(beige-burn (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name beige-burn "Beige Burn")
	(gimp-context-set-foreground '(255 229 220))
	(gimp-drawable-fill beige-burn FOREGROUND-FILL) 
       	(gimp-image-add-layer image beige-burn 0)
       	(gimp-layer-set-mode beige-burn 17)
       	(gimp-layer-set-opacity beige-burn 75))
	
(let*	(
	(pink-soft (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name pink-soft "Pink Soft")
	(gimp-context-set-foreground '(255 195 220))
	(gimp-drawable-fill pink-soft FOREGROUND-FILL) 
       	(gimp-image-add-layer image pink-soft 0)
       	(gimp-layer-set-mode pink-soft 19)
       	(gimp-layer-set-opacity pink-soft 60))

(let*	(
	(teal-soft (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name teal-soft "Teal Soft")
	(gimp-context-set-foreground '(155 224 212))
	(gimp-drawable-fill teal-soft FOREGROUND-FILL) 
       	(gimp-image-add-layer image teal-soft 0)
       	(gimp-layer-set-mode teal-soft 19)
       	(gimp-layer-set-opacity teal-soft 15))

	(gimp-palette-set-foreground old-fg-color)
	(gimp-image-undo-group-end image)
	(gimp-displays-flush)
	)))

(script-fu-register 
	"script-fu-pale-colors"
	"Pale Colors"
	"Produces a pale, rosy color effect on images."
	"Claire Jones"
	" 2007 Claire Jones"
	"November 6, 2007"
	"RGB*"
	SF-IMAGE	"Image"	        0
	SF-DRAWABLE	"Drawable"	0
)

        (script-fu-menu-register "script-fu-pale-colors" "<Image>/Script-Fu/Actions/Color Effects")		
