(define (script-fu-touch-of-green    	image
					layer
	)

	(gimp-selection-none image)
	(gimp-image-undo-group-start image)	

(let* 	(
	(old-fg-color (car (gimp-palette-get-foreground)))
       	(desat (car (gimp-layer-new-from-drawable layer image)))
	)
	
	(gimp-layer-set-name desat "Desaturated Layer")
       	(gimp-image-add-layer image desat 0)
	(gimp-desaturate-full desat DESATURATE-LIGHTNESS)
       	(gimp-layer-set-opacity desat 80)

(let* 	(
       	(color-fix (car (gimp-layer-new-from-drawable layer image)))
	)
	
	(gimp-layer-set-name color-fix "Color Fix")
       	(gimp-image-add-layer image color-fix 0)
       	(gimp-layer-set-mode color-fix 19)
       	(gimp-layer-set-opacity color-fix 100)

(let*	(
	(beige-soft (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name beige-soft "Beige Soft Light")		(gimp-context-set-foreground '(246 231 210))
	(gimp-drawable-fill beige-soft FOREGROUND-FILL) 
       	(gimp-image-add-layer image beige-soft 0)
       	(gimp-layer-set-mode beige-soft 19)
       	(gimp-layer-set-opacity beige-soft 100))
	
(let*	(
	(teal-burn (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name teal-burn "Teal Burn")
	(gimp-context-set-foreground '(155 224 212))
	(gimp-drawable-fill teal-burn FOREGROUND-FILL) 
       	(gimp-image-add-layer image teal-burn 0)
       	(gimp-layer-set-mode teal-burn 17)
       	(gimp-layer-set-opacity teal-burn 40))

(let*	(
	(blue-soft (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name blue-soft "Blue Soft")
	(gimp-context-set-foreground '(158 172 201))
	(gimp-drawable-fill blue-soft FOREGROUND-FILL) 
       	(gimp-image-add-layer image blue-soft 0)
       	(gimp-layer-set-mode blue-soft 19)
       	(gimp-layer-set-opacity blue-soft 100))

(let*	(
	(navy-sub (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name navy-sub "Blue Soft")
	(gimp-context-set-foreground '(8 3 68))
	(gimp-drawable-fill navy-sub FOREGROUND-FILL) 
       	(gimp-image-add-layer image navy-sub 0)
       	(gimp-layer-set-mode navy-sub 8)
       	(gimp-layer-set-opacity navy-sub 10))

	(gimp-palette-set-foreground old-fg-color)
	(gimp-image-undo-group-end image)
	(gimp-displays-flush)
	)))

(script-fu-register 
	"script-fu-touch-of-green"
	"Touch of Green"
	"Gives the image a washed-out, green effect."
	"Claire Jones"
	" 2007 Claire Jones"
	"November 6, 2007"
	"RGB*"
	SF-IMAGE	"Image"	        0
	SF-DRAWABLE	"Drawable"	0
)

        (script-fu-menu-register "script-fu-touch-of-green" "<Image>/Script-Fu/Actions/Color Effects")		
