(define (script-fu-dark-and-soft    	image
					layer
	)

	(gimp-selection-none image)
	(gimp-image-undo-group-start image)	

(let* 	(
	(old-fg-color (car (gimp-palette-get-foreground)))
       	(desat (car (gimp-layer-new-from-drawable layer image)))
	)
	
	(gimp-layer-set-name desat "Desaturated Layer")
       	(gimp-image-add-layer image desat 0)
	(gimp-desaturate-full desat DESATURATE-LIGHTNESS)
	(plug-in-sharpen TRUE image desat 30)
       	(gimp-layer-set-opacity desat 80)

(let* 	(
       	(color-fix (car (gimp-layer-new-from-drawable layer image)))
	)
	
	(gimp-layer-set-name color-fix "Color Fix")
       	(gimp-image-add-layer image color-fix 0)
       	(gimp-layer-set-mode color-fix 3)
       	(gimp-layer-set-opacity color-fix 100)
	(plug-in-gauss-iir2 TRUE image color-fix 50 50)

(let*	(
	(beige-burn (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name beige-burn "Beige Burn")
	(gimp-context-set-foreground '(255 229 220))
	(gimp-drawable-fill beige-burn FOREGROUND-FILL) 
       	(gimp-image-add-layer image beige-burn 0)
       	(gimp-layer-set-mode beige-burn 17)
       	(gimp-layer-set-opacity beige-burn 100))

(let*	(
	(white-soft (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name white-soft "Soft Light")
	(gimp-context-set-foreground '(255 255 255))
	(gimp-drawable-fill white-soft FOREGROUND-FILL) 
       	(gimp-image-add-layer image white-soft 0)
       	(gimp-layer-set-mode white-soft 19)
       	(gimp-layer-set-opacity white-soft 40))

	(gimp-palette-set-foreground old-fg-color)
	(gimp-image-undo-group-end image)
	(gimp-displays-flush)
	)))

(script-fu-register 
	"script-fu-dark-and-soft"
	"Dark and Soft"
	"Produces a dark and pronounced soft effect on images."
	"Claire Jones"
	" 2007 Claire Jones"
	"November 6, 2007"
	"RGB*"
	SF-IMAGE	"Image"	        0
	SF-DRAWABLE	"Drawable"	0
)

        (script-fu-menu-register "script-fu-dark-and-soft" "<Image>/Script-Fu/Actions/Soft Effects")		
