(define (script-fu-romantic	    	image
					layer
	)

	(gimp-selection-none image)
	(gimp-image-undo-group-start image)	

(let* 	(
	(old-fg-color (car (gimp-palette-get-foreground)))
       	(desat (car (gimp-layer-new-from-drawable layer image)))
	)
	
	(gimp-layer-set-name desat "Desaturated Layer")
       	(gimp-image-add-layer image desat 0)
	(gimp-desaturate-full desat DESATURATE-LIGHTNESS)
	(plug-in-sharpen TRUE image desat 30)
       	(gimp-layer-set-opacity desat 80)
	(gimp-layer-set-mode desat 4)

(let* 	(
       	(color-fix (car (gimp-layer-new-from-drawable layer image)))
	)
	
	(gimp-layer-set-name color-fix "Color Fix")
       	(gimp-image-add-layer image color-fix 0)
	(plug-in-gauss-iir2 TRUE image color-fix 20 20)
       	(gimp-layer-set-mode color-fix 3)
       	(gimp-layer-set-opacity color-fix 100)

(let*	(
	(beige-soft (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name beige-soft "Beige Soft Light")
	(gimp-context-set-foreground '(246 231 210))
	(gimp-drawable-fill beige-soft FOREGROUND-FILL) 
       	(gimp-image-add-layer image beige-soft 0)
       	(gimp-layer-set-mode beige-soft 19)
       	(gimp-layer-set-opacity beige-soft 100))

(let*	(
	(pink-soft (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name pink-soft "Pink Soft")
	(gimp-context-set-foreground '(255 195 220))
	(gimp-drawable-fill pink-soft FOREGROUND-FILL) 
       	(gimp-image-add-layer image pink-soft 0)
       	(gimp-layer-set-mode pink-soft 19)
       	(gimp-layer-set-opacity pink-soft 100))

(let*	(
	(teal-soft (car (gimp-layer-new-from-drawable layer image)))
	)

	(gimp-layer-set-name teal-soft "Teal Soft")
	(gimp-context-set-foreground '(155 224 212))
	(gimp-drawable-fill teal-soft FOREGROUND-FILL) 
       	(gimp-image-add-layer image teal-soft 0)
       	(gimp-layer-set-mode teal-soft 19)
       	(gimp-layer-set-opacity teal-soft 40))

	(gimp-palette-set-foreground old-fg-color)
	(gimp-image-undo-group-end image)
	(gimp-displays-flush)
	)))

(script-fu-register 
	"script-fu-romantic"
	"Romantic"
	"Adds a rosy touch to pictures with a pronounced soft effect."
	"Claire Jones"
	" 2007 Claire Jones"
	"November 6, 2007"
	"RGB*"
	SF-IMAGE	"Image"	        0
	SF-DRAWABLE	"Drawable"	0
)

        (script-fu-menu-register "script-fu-romantic" "<Image>/Script-Fu/Actions/Soft Effects")		
